#!/bin/bash

count_code() {
	find ${*} -name "*.java" -or -name "*.css" -or -name "*.xml" \
		| xargs sed -e '/\/\*/,/\*\//d;/\/\//d' -e '/^$/d' -e '/<!--/,/-->/d' \
		| wc -l
}

count_total() {
	find ${*} -name "*.java" -or -name "*.css" -or -name "*.xml" \
		| xargs sed -e '/^$/d' \
		| wc -l
}

echo -en "Total:   \t"
code=`count_code .`
echo $code

echo -en "Network: \t"
net=`count_code Network`
echo $net

echo -en "Core:   \t"
core=`count_code Core Datatypes Interfaces`
echo $core

echo -en "GUI:    \t"
gui=`count_code GUI Language`
echo $gui

echo -en "Comments:\t"
total=`count_total .`
echo $((total-code)) "$(((total-code)*100/total))%"

echo -en "Abs. Total:\t"
echo $total

